x=0:0.1:2*pi;
[x,y]=meshgrid(x);
z=sin(y).*cos(x);
subplot(2,2,1);mesh(x,y,z);
xlabel('x-axis'),ylabel('y-axis'),zlabel('z-axis');
title('mesh');
subplot(2,2,2);surf(x,y,z);
xlabel('x-axis'),ylabel('y-axis'),zlabel('z-axis');
title('surf');
subplot(2,1,2);plot3(x,y,z);
xlabel('x-axis'),ylabel('y-axis'),zlabel('z-axis');
title('plot3');
